Subject: Re: [BUG] 2.6.29-rc* QinQ vlan trunking regression

From: Bart Trojanowski <[email-masked]>
Date: Wed, 4 Mar 2009 23:54:42 -0500

David,

* David Miller <[email-masked]> [090304 22:53]:
> vlan: Fix vlan-in-vlan crashes.
> 
> As analyzed by Patrick McHardy, vlan needs to reset it's
> netdev_ops pointer in it's ->init() function but this
> leaves the compat method pointers stale.
> 
> Add a netdev_resync_ops() and call it from the vlan code.
<snip>
>  include/linux/netdevice.h |    1 +
>  net/8021q/vlan_dev.c      |    1 +
>  net/core/dev.c            |   54 +++++++++++++++++++++++++++-----------------
>  3 files changed, 35 insertions(+), 21 deletions(-)

I tried this patch onto v2.6.29-rc7-3-g559595a, but I still get a crash.
I assume that this worked for you, so I am not putting much faith in my
results at this late hour.  I'll confirm tomorrow morning that it's not
something else.

Cheers,
-Bart

-- 
				WebSig: http://www.jukie.net/~bart/sig/